import request from '@/utils/request'

// 创建语言类型
export function createLanguageType(data) {
  return request({
    url: '/system/language-type/create',
    method: 'post',
    data: data
  })
}

// 更新语言类型
export function updateLanguageType(data) {
  return request({
    url: '/system/language-type/update',
    method: 'put',
    data: data
  })
}

// 删除语言类型
export function deleteLanguageType(id) {
  return request({
    url: '/system/language-type/delete?id=' + id,
    method: 'delete'
  })
}

// 获得语言类型
export function getLanguageType(id) {
  return request({
    url: '/system/language-type/get?id=' + id,
    method: 'get'
  })
}

// 获得语言类型
export function getAllLanguageType() {
  return request({
    url: '/system/language-type/all',
    method: 'get'
  })
}

// 获得语言类型分页
export function getLanguageTypePage(query) {
  return request({
    url: '/system/language-type/page',
    method: 'get',
    params: query
  })
}
